<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>
    
    <BUSINESSCLASS  name="SearchApplicant"    package="performa.search"    superclass="SearchExecutor" >
        
        <IMPORT value="oneit.servlets.orm.*"    />
        <IMPORT value="performa.orm.*"/>
        <IMPORT value="performa.orm.types.*"/>
                
        <TRANSIENT  name="ShowIncomplete"   type="Boolean"  defaultValue="Boolean.FALSE"/>

        <TABLE tablePrefix="object"    polymorphic="FALSE" >
            
            <ATTRIB name="Details"      type="String"               dbcol="xxxx"    />
            <ATTRIB name="Filter"       type="Set&lt;AppFilter&gt;" dbcol="xxxx"    attribHelper="DelimitedEnumsAttributeHelper"    attribHelperInstance="new DelimitedEnumsAttributeHelper (AppFilter.FACTORY_AppFilter)"/>

            <SINGLEREFERENCE    name="Job"  type="Job"  dbcol="xxxx"    />

        </TABLE>
        
    </BUSINESSCLASS>
    
</ROOT>